Loading...
Searching...
No Matches
yield_slip_augmented_lagrangian.icc

The yield slip problem by the augmented Lagrangian method – solver function. More...

Go to the source code of this file.

## Functions

int | yield_slip_augmented_lagrangian (Float S, Float n, Float Cf, geo boundary, field lh, field &lambda_h, field &uh, Float tol, size_t max_iter, Float r)

## Detailed Description

The yield slip problem by the augmented Lagrangian method – solver function.

This file is part of Rheolef.

Copyright (C) 2000-2009 Pierre Saramito Pierr.nosp@m.e.Sa.nosp@m.ramit.nosp@m.o@im.nosp@m.ag.fr

Rheolef is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

Rheolef is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with Rheolef; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

Definition in file yield_slip_augmented_lagrangian.icc.

## Function Documentation

## yield_slip_augmented_lagrangian()

int yield_slip_augmented_lagrangian | ( | Float | S,
|  | Float | n,
|  | Float | Cf,
|  | geo | boundary,
|  | field | lh,
|  | field & | lambda_h,
|  | field & | uh,
|  | Float | tol,
|  | size_t | max_iter,
|  | Float | r )

Examples
  yield_slip_augmented_lagrangian.cc, and yield_slip_augmented_lagrangian.icc.

Definition at line 26 of file yield_slip_augmented_lagrangian.icc.